# imageoptimizer

imageoptimizer is a tool for bulk compression og JPG images. It will re-compress original images and replace them if the savings is
more than the requested percentage difference, default is 25%. By defaul it operated in a "dry run" mode where images are not replaced
but individual and total savings are reported at the end, unless you supply the '-replace' flag.

# usage

Recursively check all images starting from the current path. Calculate actions and total svings but don't make any changes.

```
imageoptimizer -recursive -compresslevel 85 -diff 25
```

Replace images in the current path with a compressed version if compressing at 80% reduces file size by at least 30%

```
imageoptimizer -compresslevel --replace --diff 30
```
